#target photoshop

#include funclib_layers.jsx
#include othes_script_lib.jsx

dyna_layer_window();

function dyna_layer_window(){
	var w = new Window ("dialog","Dyna Layer");
	var name_panel = w.add("panel",undefined,"Name base layer:")
var name = name_panel.add("edittext",[0,0,100,18],"Base layer");
		
	var size_p = w.add ("panel",undefined,"Size embossing:");
	size_p.orientation = "row";
	var s_name = size_p.add ("statictext",undefined,"Size:")
	var size = size_p.add ("edittext",[0,0,35,18],8);
	var direction = w.add("panel",undefined,"Direction:");
	direction.orientation = "row"
	var up = direction.add ("radiobutton", undefined, "Up");
	var down = direction.add ("radiobutton", undefined, "Down");
	
	var type_curve = w.add("panel",undefined,"Type curve:")
	var types = ["Linear","Gaussian","Cone","Shallow Slope - Valley"];
	var type_list = type_curve.add("dropdownlist",undefined,types);
	type_list.selection = 0
	
	var in_base = w.add ("checkbox",undefined,"Base layer");
	var ok_btn = w.add ("button",undefined, "Ok");
	up.value = true;
	 
	ok_btn.onClick = function()
	{
		w.close()
		if (in_base.value == true){
			add_layer("base","Nrml");
			fill_base_normal();
		}else {}
		select_layer_one("Sculpt project");
		if (type_list.selection == 0){
		var type_c = "Linear"
		}else if (type_list.selection == 1){
		var type_c = "Gaussian"	
		}else if(type_list.selection == 2){
		var type_c = "Cone"
		}else if(type_list.selection == 3){
		var type_c = "Shallow Slope - Valley"	
		}
		add_layer(name.text,"Nrml");
		if (up.value == true){
		layer_group("z");
		set_embossing_and_contur_z("Ovrl",128,128,0,"Ovrl",128,128,0,90,90,350,size.text,"In  ")
		layer_group("x");
		set_embossing_and_cont("Ovrl",0,128,128,"Nrml",0,128,128,180,0,1000,size.text,"In  ",type_c)
		layer_group("x");
		set_embossing_and_cont("Ovrl",255,128,128,"Nrml",255,128,128,0,0,1000,size.text,"In  ",type_c)
		layer_group("y");
		set_embossing_and_cont("Ovrl",128,0,128,"Nrml",128,0,128,-90,0,1000,size.text,"In  ",type_c)
		layer_group("y");
		set_embossing_and_cont("Ovrl",128,255,128,"Nrml",128,255,128,90,0,1000,size.text,"In  ",type_c)
		layer_group(name.text.toLowerCase())
		} else {
		layer_group("z");
		set_embossing_and_contur_z("Ovrl",128,128,0,"Ovrl",128,128,0,90,90,350,size.text,"Out ")
		layer_group("x");
		set_embossing_and_cont("Ovrl",0,128,128,"Nrml",0,128,128,180,0,1000,size.text,"Out ",type_c)
		layer_group("x");
		set_embossing_and_cont("Ovrl",255,128,128,"Nrml",255,128,128,0,0,1000,size.text,"Out ",type_c)
		layer_group("y");
		set_embossing_and_cont("Ovrl",128,0,128,"Nrml",128,0,128,-90,0,1000,size.text,"Out ",type_c)
		layer_group("y");
		set_embossing_and_cont("Ovrl",128,255,128,"Nrml",128,255,128,90,0,1000,size.text,"Out ",type_c)
		layer_group(name.text.toLowerCase())
		}	
	}
	w.show()
}