//Micro normal generator
//Volume - medium 
#target photoshop
#include funclib_layers.jsx
#include othes_script_lib.jsx
#include filter_lib.jsx

medium_normal_creator()

function medium_normal_creator(){
	app.activeDocument.selection.selectAll();
	app.activeDocument.selection.copy();
	add_layer("Normal_creator","Nrml");
	app.activeDocument.paste();

	selectRedChanall();
	diffusion("anisotropic");
	cust_embossing(0,2,100);

	selectGreenChanall();
	diffusion("anisotropic");
	cust_embossing(-90,2,100);

	selectBlueChanall();
	cserocopion(24, 1);
	selectRGBChanall();



	//Micro surface layer
	add_layer("Surface_normal","Ovrl");
	app.activeDocument.paste();
	high_pass_f(2.5);
	desaturation();
	selectRedChanall();
	cust_embossing(0,2,100);
	selectGreenChanall();
	cust_embossing(-90,2,150);
	selectBlueChanall();
	cserocopion(24, 1);
	high_pass_f(40);
	selectRGBChanall();
}

function surface_curves(){
	var idCrvs = charIDToTypeID( "Crvs" );
    var desc3 = new ActionDescriptor();
    var idpresetKind = stringIDToTypeID( "presetKind" );
    var idpresetKindType = stringIDToTypeID( "presetKindType" );
    var idpresetKindCustom = stringIDToTypeID( "presetKindCustom" );
    desc3.putEnumerated( idpresetKind, idpresetKindType, idpresetKindCustom );
    var idAdjs = charIDToTypeID( "Adjs" );
        var list1 = new ActionList();
            var desc4 = new ActionDescriptor();
            var idChnl = charIDToTypeID( "Chnl" );
                var ref1 = new ActionReference();
                var idChnl = charIDToTypeID( "Chnl" );
                var idChnl = charIDToTypeID( "Chnl" );
                var idCmps = charIDToTypeID( "Cmps" );
                ref1.putEnumerated( idChnl, idChnl, idCmps );
            desc4.putReference( idChnl, ref1 );
            var idCrv = charIDToTypeID( "Crv " );
                var list2 = new ActionList();
                    var desc5 = new ActionDescriptor();
                    var idHrzn = charIDToTypeID( "Hrzn" );
                    desc5.putDouble( idHrzn, 0.000000 );
                    var idVrtc = charIDToTypeID( "Vrtc" );
                    desc5.putDouble( idVrtc, 0.000000 );
                var idPnt = charIDToTypeID( "Pnt " );
                list2.putObject( idPnt, desc5 );
                    var desc6 = new ActionDescriptor();
                    var idHrzn = charIDToTypeID( "Hrzn" );
                    desc6.putDouble( idHrzn, 64.000000 );
                    var idVrtc = charIDToTypeID( "Vrtc" );
                    desc6.putDouble( idVrtc, 27.000000 );
                var idPnt = charIDToTypeID( "Pnt " );
                list2.putObject( idPnt, desc6 );
                    var desc7 = new ActionDescriptor();
                    var idHrzn = charIDToTypeID( "Hrzn" );
                    desc7.putDouble( idHrzn, 187.000000 );
                    var idVrtc = charIDToTypeID( "Vrtc" );
                    desc7.putDouble( idVrtc, 241.000000 );
                var idPnt = charIDToTypeID( "Pnt " );
                list2.putObject( idPnt, desc7 );
                    var desc8 = new ActionDescriptor();
                    var idHrzn = charIDToTypeID( "Hrzn" );
                    desc8.putDouble( idHrzn, 255.000000 );
                    var idVrtc = charIDToTypeID( "Vrtc" );
                    desc8.putDouble( idVrtc, 255.000000 );
                var idPnt = charIDToTypeID( "Pnt " );
                list2.putObject( idPnt, desc8 );
            desc4.putList( idCrv, list2 );
        var idCrvA = charIDToTypeID( "CrvA" );
        list1.putObject( idCrvA, desc4 );
    desc3.putList( idAdjs, list1 );
executeAction( idCrvs, desc3, DialogModes.NO );
}